Results 1 to 6 of 6
  1. #1
    Join Date
    Feb 2004
    Posts
    86

    Unanswered: Oracle 9.2.0.4.0 Patch

    I'm upgrading our Oracle server to patch 9.2.0.4.0 and in the installation notes it states to start the server in migrate mode and run the catpatch.sql script. I though I could get away with this if I created my database after the 9.2.0.4.0 patch had been applied, however it seems that I must run the catpatch.sql on every database that is created after as I can't perform an import or export. Can anybody advise me?

  2. #2
    Join Date
    Sep 2003
    Posts
    7
    You have to run catpatch.sql on your new instance only if you didn't create the new instance with the database configuration assistant. The DCA runs the script automatically while creating instances. But if you created the instance manually, the catpach.sql will not be executed.

  3. #3
    Join Date
    Feb 2004
    Posts
    86

    Thanks

    Thanks aeymann!

  4. #4
    Join Date
    Feb 2004
    Posts
    86
    This doesn't work if you use a datawarehouse template, but seems to work with the others. Can you explain the difference between these templates?

  5. #5
    Join Date
    Sep 2003
    Posts
    7
    No i can't. Suprises me too. You might check Metalink on that.

  6. #6
    Join Date
    Apr 2002
    Location
    California, USA
    Posts
    482
    I believe you can run catpatch.sql script as many times as you want. It does take care of the data dictionary updates after the patch installation.

    HTH,

    clio_usa - OCP 8/8i/9i DBA

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •